Page MenuHomePhabricator

UploadWizard should handle duplicate-archive with an empty title
Closed, ResolvedPublic

Description

The fix for T61167 raises the possibility that the 'duplicate-archive' warning on a file upload may be the empty string rather than a title, indicating that the deleted duplicate was suppressed. UploadWizard should somehow handle this situation sensibly.

Details

Reference
bz59646
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:17 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz59646.
bzimport added a subscriber: Unknown Object (MLST).
Anomie created this task.Jan 4 2014, 3:56 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:38 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:38 PM
matmarex claimed this task.Sep 9 2015, 5:51 PM

Change 237157 had a related patch set uploaded (by Bartosz Dziewoński):
Better handle revdeleted file duplicates when displaying warning popup

https://gerrit.wikimedia.org/r/237157

Change 237157 merged by jenkins-bot:
Better handle revdeleted file duplicates when displaying warning popup

https://gerrit.wikimedia.org/r/237157

matmarex closed this task as Resolved.Sep 11 2015, 5:35 PM
Jdforrester-WMF moved this task from Backlog to Done on the Multimedia board.Sep 11 2015, 6:22 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to Announce in next Tech/News on the User-notice board.

This one was a low-severity bug that, in all likelihood, was never actually seen by anyone. I don't think it's worth announcing widely.

matej_suchanek added a project: User-notice.
matej_suchanek removed a subscriber: gerritbot.

(I still don't think this is worth an user-notice, but whatever.)